### Hierarchy

- LayoutNetwork
  - LayeredDigraphNetwork

This class represents an abstract graph of LayeredDigraphVertexes and LayeredDigraphEdges that can be constructed based on the Nodes and Links of a Diagram so that the LayeredDigraphLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Index

### Constructors

- constructor

## Constructors

### constructor

- new LayeredDigraphNetwork(layout: LayeredDigraphLayout): LayeredDigraphNetwork

- #### Parameters

  - ##### layout: LayeredDigraphLayout

  #### Returns LayeredDigraphNetwork

Copyright © 1998-2019 by Northwoods Software Corporation.